rte_port_in_action_lb_params(3)

NAME
rte_port_in_action_lb_params

SYNOPSIS

#include <rte_port_in_action.h>

  Data Fields

uint32_t port_id [RTE_PORT_IN_ACTION_LB_TABLE_SIZE]

Detailed Description

Load balance action parameters (per action).

Definition at line 152 of file rte_port_in_action.h.

Field Documentation

  uint32_t port_id[RTE_PORT_IN_ACTION_LB_TABLE_SIZE]
Table defining the weight of each pipeline output port. The weights are set in 1/RTE_PORT_IN_ACTION_LB_TABLE_SIZE increments. To assign a weight of N/RTE_PORT_IN_ACTION_LB_TABLE_SIZE to a given output port (0 <= N <= RTE_PORT_IN_ACTION_LB_TABLE_SIZE), the output port needs to show up exactly N times in this table.

Definition at line 159 of file rte_port_in_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.